import request from '@/utils/request'

// 查询网络安全官列表
export function listAqg(query) {
  return request({
    url: '/tcZz/networkEcology/aqg/list',
    method: 'get',
    params: query
  })
}

// 查询网络安全官详细
export function getAqg(id) {
  return request({
    url: '/tcZz/networkEcology/aqg/' + id,
    method: 'get'
  })
}

// 新增网络安全官
export function addAqg(data) {
  return request({
    url: '/tcZz/networkEcology/aqg',
    method: 'post',
    data: data
  })
}

// 修改网络安全官
export function updateAqg(data) {
  return request({
    url: '/tcZz/networkEcology/aqg',
    method: 'put',
    data: data
  })
}

// 删除网络安全官
export function delAqg(id) {
  return request({
    url: '/tcZz/networkEcology/aqg/' + id,
    method: 'delete'
  })
}
